/*
 * WebApiSegura Token JWT XrmAPI
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

/**
 * CTaskAttributes
 */

public class CTaskAttributes {
  @SerializedName("activityid")
  private String activityid = null;

  @SerializedName("activitytypecode")
  private String activitytypecode = null;

  @SerializedName("actualdurationminutes")
  private String actualdurationminutes = null;

  @SerializedName("actualend")
  private String actualend = null;

  @SerializedName("actualstart")
  private String actualstart = null;

  @SerializedName("category")
  private String category = null;

  @SerializedName("createdby")
  private String createdby = null;

  @SerializedName("createdon")
  private String createdon = null;

  @SerializedName("description")
  private String description = null;

  @SerializedName("modifiedby")
  private String modifiedby = null;

  @SerializedName("modifiedon")
  private String modifiedon = null;

  @SerializedName("ownerid")
  private String ownerid = null;

  @SerializedName("percentcomplete")
  private String percentcomplete = null;

  @SerializedName("prioritycode")
  private String prioritycode = null;

  @SerializedName("regardingobjectid")
  private String regardingobjectid = null;

  @SerializedName("scheduleddurationminutes")
  private String scheduleddurationminutes = null;

  @SerializedName("scheduledend")
  private String scheduledend = null;

  @SerializedName("scheduledstart")
  private String scheduledstart = null;

  @SerializedName("statecode")
  private String statecode = null;

  @SerializedName("statuscode")
  private String statuscode = null;

  @SerializedName("subject")
  private String subject = null;

  @SerializedName("_isclosed")
  private Boolean isclosed = null;

  @SerializedName("_iscompleted")
  private Boolean iscompleted = null;

  @SerializedName("_iscanceled")
  private Boolean iscanceled = null;

  @SerializedName("regardingobjectidname")
  private String regardingobjectidname = null;

  @SerializedName("statuscodename")
  private String statuscodename = null;

  @SerializedName("statecodename")
  private String statecodename = null;

  @SerializedName("Id")
  private String id = null;

  @SerializedName("result")
  private Boolean result = null;

  @SerializedName("message")
  private String message = null;

  public CTaskAttributes activityid(String activityid) {
    this.activityid = activityid;
    return this;
  }

   /**
   * Get activityid
   * @return activityid
  **/
  @ApiModelProperty(value = "")
  public String getActivityid() {
    return activityid;
  }

  public void setActivityid(String activityid) {
    this.activityid = activityid;
  }

  public CTaskAttributes activitytypecode(String activitytypecode) {
    this.activitytypecode = activitytypecode;
    return this;
  }

   /**
   * Get activitytypecode
   * @return activitytypecode
  **/
  @ApiModelProperty(value = "")
  public String getActivitytypecode() {
    return activitytypecode;
  }

  public void setActivitytypecode(String activitytypecode) {
    this.activitytypecode = activitytypecode;
  }

  public CTaskAttributes actualdurationminutes(String actualdurationminutes) {
    this.actualdurationminutes = actualdurationminutes;
    return this;
  }

   /**
   * Get actualdurationminutes
   * @return actualdurationminutes
  **/
  @ApiModelProperty(value = "")
  public String getActualdurationminutes() {
    return actualdurationminutes;
  }

  public void setActualdurationminutes(String actualdurationminutes) {
    this.actualdurationminutes = actualdurationminutes;
  }

  public CTaskAttributes actualend(String actualend) {
    this.actualend = actualend;
    return this;
  }

   /**
   * Get actualend
   * @return actualend
  **/
  @ApiModelProperty(value = "")
  public String getActualend() {
    return actualend;
  }

  public void setActualend(String actualend) {
    this.actualend = actualend;
  }

  public CTaskAttributes actualstart(String actualstart) {
    this.actualstart = actualstart;
    return this;
  }

   /**
   * Get actualstart
   * @return actualstart
  **/
  @ApiModelProperty(value = "")
  public String getActualstart() {
    return actualstart;
  }

  public void setActualstart(String actualstart) {
    this.actualstart = actualstart;
  }

  public CTaskAttributes category(String category) {
    this.category = category;
    return this;
  }

   /**
   * Get category
   * @return category
  **/
  @ApiModelProperty(value = "")
  public String getCategory() {
    return category;
  }

  public void setCategory(String category) {
    this.category = category;
  }

  public CTaskAttributes createdby(String createdby) {
    this.createdby = createdby;
    return this;
  }

   /**
   * Get createdby
   * @return createdby
  **/
  @ApiModelProperty(value = "")
  public String getCreatedby() {
    return createdby;
  }

  public void setCreatedby(String createdby) {
    this.createdby = createdby;
  }

  public CTaskAttributes createdon(String createdon) {
    this.createdon = createdon;
    return this;
  }

   /**
   * Get createdon
   * @return createdon
  **/
  @ApiModelProperty(value = "")
  public String getCreatedon() {
    return createdon;
  }

  public void setCreatedon(String createdon) {
    this.createdon = createdon;
  }

  public CTaskAttributes description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Get description
   * @return description
  **/
  @ApiModelProperty(value = "")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public CTaskAttributes modifiedby(String modifiedby) {
    this.modifiedby = modifiedby;
    return this;
  }

   /**
   * Get modifiedby
   * @return modifiedby
  **/
  @ApiModelProperty(value = "")
  public String getModifiedby() {
    return modifiedby;
  }

  public void setModifiedby(String modifiedby) {
    this.modifiedby = modifiedby;
  }

  public CTaskAttributes modifiedon(String modifiedon) {
    this.modifiedon = modifiedon;
    return this;
  }

   /**
   * Get modifiedon
   * @return modifiedon
  **/
  @ApiModelProperty(value = "")
  public String getModifiedon() {
    return modifiedon;
  }

  public void setModifiedon(String modifiedon) {
    this.modifiedon = modifiedon;
  }

  public CTaskAttributes ownerid(String ownerid) {
    this.ownerid = ownerid;
    return this;
  }

   /**
   * Get ownerid
   * @return ownerid
  **/
  @ApiModelProperty(value = "")
  public String getOwnerid() {
    return ownerid;
  }

  public void setOwnerid(String ownerid) {
    this.ownerid = ownerid;
  }

  public CTaskAttributes percentcomplete(String percentcomplete) {
    this.percentcomplete = percentcomplete;
    return this;
  }

   /**
   * Get percentcomplete
   * @return percentcomplete
  **/
  @ApiModelProperty(value = "")
  public String getPercentcomplete() {
    return percentcomplete;
  }

  public void setPercentcomplete(String percentcomplete) {
    this.percentcomplete = percentcomplete;
  }

  public CTaskAttributes prioritycode(String prioritycode) {
    this.prioritycode = prioritycode;
    return this;
  }

   /**
   * Get prioritycode
   * @return prioritycode
  **/
  @ApiModelProperty(value = "")
  public String getPrioritycode() {
    return prioritycode;
  }

  public void setPrioritycode(String prioritycode) {
    this.prioritycode = prioritycode;
  }

  public CTaskAttributes regardingobjectid(String regardingobjectid) {
    this.regardingobjectid = regardingobjectid;
    return this;
  }

   /**
   * Get regardingobjectid
   * @return regardingobjectid
  **/
  @ApiModelProperty(value = "")
  public String getRegardingobjectid() {
    return regardingobjectid;
  }

  public void setRegardingobjectid(String regardingobjectid) {
    this.regardingobjectid = regardingobjectid;
  }

  public CTaskAttributes scheduleddurationminutes(String scheduleddurationminutes) {
    this.scheduleddurationminutes = scheduleddurationminutes;
    return this;
  }

   /**
   * Get scheduleddurationminutes
   * @return scheduleddurationminutes
  **/
  @ApiModelProperty(value = "")
  public String getScheduleddurationminutes() {
    return scheduleddurationminutes;
  }

  public void setScheduleddurationminutes(String scheduleddurationminutes) {
    this.scheduleddurationminutes = scheduleddurationminutes;
  }

  public CTaskAttributes scheduledend(String scheduledend) {
    this.scheduledend = scheduledend;
    return this;
  }

   /**
   * Get scheduledend
   * @return scheduledend
  **/
  @ApiModelProperty(value = "")
  public String getScheduledend() {
    return scheduledend;
  }

  public void setScheduledend(String scheduledend) {
    this.scheduledend = scheduledend;
  }

  public CTaskAttributes scheduledstart(String scheduledstart) {
    this.scheduledstart = scheduledstart;
    return this;
  }

   /**
   * Get scheduledstart
   * @return scheduledstart
  **/
  @ApiModelProperty(value = "")
  public String getScheduledstart() {
    return scheduledstart;
  }

  public void setScheduledstart(String scheduledstart) {
    this.scheduledstart = scheduledstart;
  }

  public CTaskAttributes statecode(String statecode) {
    this.statecode = statecode;
    return this;
  }

   /**
   * Get statecode
   * @return statecode
  **/
  @ApiModelProperty(value = "")
  public String getStatecode() {
    return statecode;
  }

  public void setStatecode(String statecode) {
    this.statecode = statecode;
  }

  public CTaskAttributes statuscode(String statuscode) {
    this.statuscode = statuscode;
    return this;
  }

   /**
   * Get statuscode
   * @return statuscode
  **/
  @ApiModelProperty(value = "")
  public String getStatuscode() {
    return statuscode;
  }

  public void setStatuscode(String statuscode) {
    this.statuscode = statuscode;
  }

  public CTaskAttributes subject(String subject) {
    this.subject = subject;
    return this;
  }

   /**
   * Get subject
   * @return subject
  **/
  @ApiModelProperty(value = "")
  public String getSubject() {
    return subject;
  }

  public void setSubject(String subject) {
    this.subject = subject;
  }

   /**
   * Get isclosed
   * @return isclosed
  **/
  @ApiModelProperty(value = "")
  public Boolean isIsclosed() {
    return isclosed;
  }

   /**
   * Get iscompleted
   * @return iscompleted
  **/
  @ApiModelProperty(value = "")
  public Boolean isIscompleted() {
    return iscompleted;
  }

   /**
   * Get iscanceled
   * @return iscanceled
  **/
  @ApiModelProperty(value = "")
  public Boolean isIscanceled() {
    return iscanceled;
  }

  public CTaskAttributes regardingobjectidname(String regardingobjectidname) {
    this.regardingobjectidname = regardingobjectidname;
    return this;
  }

   /**
   * Get regardingobjectidname
   * @return regardingobjectidname
  **/
  @ApiModelProperty(value = "")
  public String getRegardingobjectidname() {
    return regardingobjectidname;
  }

  public void setRegardingobjectidname(String regardingobjectidname) {
    this.regardingobjectidname = regardingobjectidname;
  }

  public CTaskAttributes statuscodename(String statuscodename) {
    this.statuscodename = statuscodename;
    return this;
  }

   /**
   * Get statuscodename
   * @return statuscodename
  **/
  @ApiModelProperty(value = "")
  public String getStatuscodename() {
    return statuscodename;
  }

  public void setStatuscodename(String statuscodename) {
    this.statuscodename = statuscodename;
  }

  public CTaskAttributes statecodename(String statecodename) {
    this.statecodename = statecodename;
    return this;
  }

   /**
   * Get statecodename
   * @return statecodename
  **/
  @ApiModelProperty(value = "")
  public String getStatecodename() {
    return statecodename;
  }

  public void setStatecodename(String statecodename) {
    this.statecodename = statecodename;
  }

  public CTaskAttributes id(String id) {
    this.id = id;
    return this;
  }

   /**
   * Get id
   * @return id
  **/
  @ApiModelProperty(value = "")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public CTaskAttributes result(Boolean result) {
    this.result = result;
    return this;
  }

   /**
   * Get result
   * @return result
  **/
  @ApiModelProperty(value = "")
  public Boolean isResult() {
    return result;
  }

  public void setResult(Boolean result) {
    this.result = result;
  }

  public CTaskAttributes message(String message1) {
    this.message = message1;
    return this;
  }

   /**
   * Get message parameter
   * @return message
  **/
  @ApiModelProperty(value = "")
  public String getMessage() {
    return message;
  }

  public void setMessage(String message1) {
    this.message = message1;
  }


  @Override
  public boolean equals(java.lang.Object o1) {
    if (this == o1) {
      return true;
    }
    if (o1 == null || getClass() != o1.getClass()) {
      return false;
    }
    CTaskAttributes cTaskAttributes = (CTaskAttributes) o1;
    return Objects.equals(this.activityid, cTaskAttributes.activityid) &&
        Objects.equals(this.activitytypecode, cTaskAttributes.activitytypecode) &&
        Objects.equals(this.actualdurationminutes, cTaskAttributes.actualdurationminutes) &&
        Objects.equals(this.actualend, cTaskAttributes.actualend) &&
        Objects.equals(this.actualstart, cTaskAttributes.actualstart) &&
        Objects.equals(this.category, cTaskAttributes.category) &&
        Objects.equals(this.createdby, cTaskAttributes.createdby) &&
        Objects.equals(this.createdon, cTaskAttributes.createdon) &&
        Objects.equals(this.description, cTaskAttributes.description) &&
        Objects.equals(this.modifiedby, cTaskAttributes.modifiedby) &&
        Objects.equals(this.modifiedon, cTaskAttributes.modifiedon) &&
        Objects.equals(this.ownerid, cTaskAttributes.ownerid) &&
        Objects.equals(this.percentcomplete, cTaskAttributes.percentcomplete) &&
        Objects.equals(this.prioritycode, cTaskAttributes.prioritycode) &&
        Objects.equals(this.regardingobjectid, cTaskAttributes.regardingobjectid) &&
        Objects.equals(this.scheduleddurationminutes, cTaskAttributes.scheduleddurationminutes) &&
        Objects.equals(this.scheduledend, cTaskAttributes.scheduledend) &&
        Objects.equals(this.scheduledstart, cTaskAttributes.scheduledstart) &&
        Objects.equals(this.statecode, cTaskAttributes.statecode) &&
        Objects.equals(this.statuscode, cTaskAttributes.statuscode) &&
        Objects.equals(this.subject, cTaskAttributes.subject) &&
        Objects.equals(this.isclosed, cTaskAttributes.isclosed) &&
        Objects.equals(this.iscompleted, cTaskAttributes.iscompleted) &&
        Objects.equals(this.iscanceled, cTaskAttributes.iscanceled) &&
        Objects.equals(this.regardingobjectidname, cTaskAttributes.regardingobjectidname) &&
        Objects.equals(this.statuscodename, cTaskAttributes.statuscodename) &&
        Objects.equals(this.statecodename, cTaskAttributes.statecodename) &&
        Objects.equals(this.id, cTaskAttributes.id) &&
        Objects.equals(this.result, cTaskAttributes.result) &&
        Objects.equals(this.message, cTaskAttributes.message);
  }

  @Override
  public int hashCode() {
    return Objects.hash(activityid, activitytypecode, actualdurationminutes, actualend, actualstart, category, createdby, createdon, description, modifiedby, modifiedon, ownerid, percentcomplete, prioritycode, regardingobjectid, scheduleddurationminutes, scheduledend, scheduledstart, statecode, statuscode, subject, isclosed, iscompleted, iscanceled, regardingobjectidname, statuscodename, statecodename, id, result, message);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CTaskAttributes {\n");
    
    sb.append("    activityid: ").append(toIndentedString(activityid)).append("\n");
    sb.append("    activitytypecode: ").append(toIndentedString(activitytypecode)).append("\n");
    sb.append("    actualdurationminutes: ").append(toIndentedString(actualdurationminutes)).append("\n");
    sb.append("    actualend: ").append(toIndentedString(actualend)).append("\n");
    sb.append("    actualstart: ").append(toIndentedString(actualstart)).append("\n");
    sb.append("    category: ").append(toIndentedString(category)).append("\n");
    sb.append("    createdby: ").append(toIndentedString(createdby)).append("\n");
    sb.append("    createdon: ").append(toIndentedString(createdon)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    modifiedby: ").append(toIndentedString(modifiedby)).append("\n");
    sb.append("    modifiedon: ").append(toIndentedString(modifiedon)).append("\n");
    sb.append("    ownerid: ").append(toIndentedString(ownerid)).append("\n");
    sb.append("    percentcomplete: ").append(toIndentedString(percentcomplete)).append("\n");
    sb.append("    prioritycode: ").append(toIndentedString(prioritycode)).append("\n");
    sb.append("    regardingobjectid: ").append(toIndentedString(regardingobjectid)).append("\n");
    sb.append("    scheduleddurationminutes: ").append(toIndentedString(scheduleddurationminutes)).append("\n");
    sb.append("    scheduledend: ").append(toIndentedString(scheduledend)).append("\n");
    sb.append("    scheduledstart: ").append(toIndentedString(scheduledstart)).append("\n");
    sb.append("    statecode: ").append(toIndentedString(statecode)).append("\n");
    sb.append("    statuscode: ").append(toIndentedString(statuscode)).append("\n");
    sb.append("    subject: ").append(toIndentedString(subject)).append("\n");
    sb.append("    isclosed: ").append(toIndentedString(isclosed)).append("\n");
    sb.append("    iscompleted: ").append(toIndentedString(iscompleted)).append("\n");
    sb.append("    iscanceled: ").append(toIndentedString(iscanceled)).append("\n");
    sb.append("    regardingobjectidname: ").append(toIndentedString(regardingobjectidname)).append("\n");
    sb.append("    statuscodename: ").append(toIndentedString(statuscodename)).append("\n");
    sb.append("    statecodename: ").append(toIndentedString(statecodename)).append("\n");
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    result: ").append(toIndentedString(result)).append("\n");
    sb.append("    message: ").append(toIndentedString(message)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

